<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Entity;
use App\Entities\PagSeguro\Share\PagSeguroAddress;

class PagSeguroShipping extends Entity {
	protected $address;

	public static function builder():PagSeguroShippingBuilder {

		return new PagSeguroShippingBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAddress() {

		return $this->address;

	}

	/**
	 *
	 * @param mixed $address
	 */
	public function setAddress(PagSeguroAddress $address) {

		$this->address = $address;

	}

}

